Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Encryption.ZipAESStream Class Reference

Encrypts and decrypts AES ZIP. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Encryption.ZipAESStream:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Encryption.ZipAESStream:
[legend]

## Public Member Functions
| ZipAESStream (Stream stream, ZipAESTransform transform, CryptoStreamMode mode)
| Constructor.
override int | Read (byte[] outBuffer, int offset, int count)
| Reads a sequence of bytes from the current CryptoStream into buffer, and advances the position within the stream by the number of bytes read.
override void | Write (byte[] buffer, int offset, int count)
| Writes a sequence of bytes to the current stream and advances the current position within this stream by the number of bytes written.

## Private Attributes
Stream | _stream
ZipAESTransform | _transform
byte[] | _slideBuffer
int | _slideBufStartPos
int | _slideBufFreePos
int | _blockAndAuth

## Static Private Attributes
const int | AUTH_CODE_LENGTH = 10
const int | CRYPTO_BLOCK_SIZE = 16

## Detailed Description

Encrypts and decrypts AES ZIP.

## Constructor & Destructor Documentation

## ◆ ZipAESStream()

ICSharpCode.SharpZipLib.Encryption.ZipAESStream.ZipAESStream | ( | Stream | stream,
|  | ZipAESTransform | transform,
|  | CryptoStreamMode | mode )

Constructor.

Parameters

  stream | The stream on which to perform the cryptographic transformation.
  transform | Instance of ZipAESTransform
  mode | Read or Write

## Member Function Documentation

## ◆ Read()

override int ICSharpCode.SharpZipLib.Encryption.ZipAESStream.Read | ( | byte[] | outBuffer,
|  | int | offset,
|  | int | count )

Reads a sequence of bytes from the current CryptoStream into buffer, and advances the position within the stream by the number of bytes read.

## ◆ Write()

override void ICSharpCode.SharpZipLib.Encryption.ZipAESStream.Write | ( | byte[] | buffer,
|  | int | offset,
|  | int | count )

Writes a sequence of bytes to the current stream and advances the current position within this stream by the number of bytes written.

Parameters

  buffer | An array of bytes. This method copies count bytes from buffer to the current stream.
  offset | The byte offset in buffer at which to begin copying bytes to the current stream.
  count | The number of bytes to be written to the current stream.

## Member Data Documentation

## ◆ _blockAndAuth

int ICSharpCode.SharpZipLib.Encryption.ZipAESStream._blockAndAuth
| private

## ◆ _slideBuffer

byte [] ICSharpCode.SharpZipLib.Encryption.ZipAESStream._slideBuffer
| private

## ◆ _slideBufFreePos

int ICSharpCode.SharpZipLib.Encryption.ZipAESStream._slideBufFreePos
| private

## ◆ _slideBufStartPos

int ICSharpCode.SharpZipLib.Encryption.ZipAESStream._slideBufStartPos
| private

## ◆ _stream

Stream ICSharpCode.SharpZipLib.Encryption.ZipAESStream._stream
| private

## ◆ _transform

ZipAESTransform ICSharpCode.SharpZipLib.Encryption.ZipAESStream._transform
| private

## ◆ AUTH_CODE_LENGTH

const int ICSharpCode.SharpZipLib.Encryption.ZipAESStream.AUTH_CODE_LENGTH = 10
| static private

## ◆ CRYPTO_BLOCK_SIZE

const int ICSharpCode.SharpZipLib.Encryption.ZipAESStream.CRYPTO_BLOCK_SIZE = 16
| static private

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Encryption/ZipAESStream.cs